Cyberduck Mountain Duck CLI

#3409 closed defect (fixed)

Memory usage

Reported by: pawlikk@gmail.com Owned by: dkocher
Priority: highest Milestone: 3.3
Component: core Version: Nightly Build
Severity: critical Keywords: memleak
Cc: Architecture:
Platform:

Description

Huge memory leak. While being connected to ftp server, try to select & drag a few folders.

Swap used: 3GB+ Cyberduck version: 3.3b1 (5098) OsX version: 10.6 (10A432)

8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1299117e0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1004123d0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x129907d30 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x129a03ac0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1001bd480 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1299061e0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x129a03860 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1004d3260 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1004123d0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:05 PM	Cyberduck[5407]	*** __NSAutoreleaseNoPool(): Object 0x1004123d0 of class NSCFString autoreleased with no pool in place - just leaking
8/15/09 3:32:26 PM	Cyberduck[5407]	This application is trying to draw a very large combo box, 167 points tall.  Vertically resizable combo boxes are not supported, but it happens that 10.4 and previous drew something that looked kind of sort of okay.  The art in 10.5 does not break up in a way that supports that drawing.  To avoid breaking existing apps, NSComboBox in 10.5 will use the 10.4 art for large combo boxes, but it won't exactly match the rest of the system.  This application should be revised to stop using large combo boxes.  This warning will appear once per app launch.
8/15/09 3:39:51 PM	com.apple.launchd.peruser.501[196]	([0x0-0x426426].ch.sudo.cyberduck[5407]) Exited: Killed

Change History (2)

comment:1 Changed on Aug 18, 2009 at 6:39:31 AM by dkocher

  • Milestone set to 3.3
  • Summary changed from snow leopard memory leak to Memory usage

You may choose to run Cyberduck as 32bit which significantly reduces the memory footprint. Use Finder → File → Info → Open in 32 Bit Mode for the Cyberduck.app bundle.

comment:2 Changed on Aug 26, 2009 at 12:54:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

No more autorelease pool leaks in the latest nightly builds.

Note: See TracTickets for help on using tickets.